QGIS Application - Bug report #3025
OSM Plugin: error adding a layer
2010-09-19 10:30 AM - aperi2007 -

Status: Closed

Priority: Low

Assignee: Martin Dobias

Category: Python plugins

Affected QGIS version: Regression?: No
Operating System: Windows Easy fix?: No
Pull Request or Patch supplied: Resolution: fixed
Crashes QGIS or corrupts data: Copied to github as #: 13085
Description

Adding a layer OSM using the osm plugin and the "Load OSM from file" on a canvas empty and with CRS set to EPSG:3003.

It generate this error:

Errore durante I'esecuzione di codice Python:
Traceback (most recent call last):
File "C:/OSGeo4W/apps/qgis-dev/./python/plugins\\osm\\OsmPlugin.py", line 199, in loadOsmFromFile
self.dlgLoad=OsmLoadDlIg(self)
File "C:/OSGeo4W/apps/qgis-dev/./python/plugins\\osm\\OsmLoadDIg.py", line 57, in init
item.setFlags( Qt.ltemlsSelectable | Qt.ltemIsUserCheckable | Qt.ltemIsEnabled)
[[AttributeError]]: 'module’ object has no attribute 'ltemlsSelectable’

Versione Python:
2.5.4 (r254:67916, Dec 23 2008, 15:10:54) [MSC v.1310 32 bit (Intel)]

Versione di QGIS:
1.6.0-Trunk Trunk, 14244

Percorso Python: ['C:/0SGeo4W/apps/qgis-dev/./python', 'C:/Users/peri/.qgis/python’, 'C:/Users/peri/.qgis/python/plugins’,
'C:/0OSGeod4W/apps/qgis-dev/./python/plugins’, 'C:\\\OSGeodW\\apps\\\\gdal-17\\\\pymod',
'C:\WOSGeodW\\W\apps\\qgis-dev\\\\python', 'C:\\\WWindows\\\\system32\\\\python25.zip', 'C:\\\OSGeo4W\\apps\\\\Python25\\DLLSs',
'C:A\WNOSGeodW\\Wapps\\\Python25\\lib', 'C:\WOSGeo4W\\\\apps\\\Python25\\\\lib\\\plat-win’,
'C:A\WNOSGeo4W\\Wapps\\Python25\\Wlib\Wlib-tk', 'C:\WWOSGeodW\\W\apps\\\ggis-dev\\\bin', 'C:\W\OSGeodW\\apps\\\\Python25',
'C:A\WOSGeo4W\\\apps\\\Python25\\\lib\\\site-packages', 'C:\\WOSGeo4W\\\apps\\\\Python25\\\lib\\\\site-packages\\\\win32',
'C:\W\OSGeo4W\\\apps\\\Python25\\\lib\\\site-packages\\win32\\\\lib',
'C:A\WNOSGeo4W\\\apps\\\Python25\\\lib\\\site-packages\\\\Pythonwin',
'C:A\\OSGeo4W\\\apps\\\Python25\\\lib\\site-packages\\\\wx-2.8-msw-unicode', '~/.qgis/python’,
'C:\W\OSGeo4W\\\apps\\\ggis-dev\\\\python\\\plugins\\fTools\\\\tools']

History

#1 - 2010-10-17 02:13 AM - Giovanni Manghi
- Resolution set to fixed
- Status changed from Open to Closed

Hi,
| had the same problem/message (see #3076) but I've just recompiled and now it all works fine. Reopen if necessary.
